NUMBER = 10000

scene_file = """image {
	width 512
	height 512
	samples 1
}

camera {
	position 0.0 0.0 0.0 center 0.0 0.0 1.0
	up 0.0 1.0 0.0
	image_plane 1.0
}

light "light1" {
	color 1.0 1.0 1.0
	object:sphere {
		radius 0.5
		position 4000 4000 4000
	}
}
material "mat" {
	action:shadow "light1" 1
	diffuse 1.0 1.0 1.0
	specular 1.0 1.0 1.0
	shininess 300
}
scene {
	background 0 0 0
"""
import random
def rand_num():
    return str(100*2.0*(random.random()-0.5))
for i in xrange(NUMBER):
    scene_file += """object:sphere{use "mat" position """+rand_num()+" "+rand_num()+" "+rand_num()+""" radius 1.0}
"""

scene_file += "}"

print NUMBER, "spheres"

file = open("scene.txt","w")
file.write(scene_file)
file.close()


















